      ! Write retrieved surface quantities to output file.

      subroutine output_surface(nwork, lat, lon, stdtime, 
     $              pixel_status, rain_status, sfcrain, quality)

      implicit none

      include 'parameters.inc'


      integer     nwork
      real        lat(NPIX, MAX_SCANS)
      real        lon(NPIX, MAX_SCANS)
      integer*2   stdtime(MAX_SCANS, 6)
      integer*2   pixel_status(NPIX, MAX_SCANS)
      integer*2   rain_status(NPIX, MAX_SCANS)
      real        sfcrain(NPIX, MAX_SCANS)
      real        quality(NPIX, MAX_SCANS)

      integer     lin, pix, i


      do lin = 1, nwork
         write(9) lin      ! DEBUG
         write(9) (lat(pix, lin), pix=1, NPIX)
         write(9) (lon(pix, lin), pix=1, NPIX)
         write(9) (stdtime(lin, i), i = 1, 6)
         write(9) (pixel_status(pix, lin), pix=1, NPIX)
         write(9) (rain_status(pix, lin), pix=1, NPIX)
         write(9) (sfcrain(pix, lin), pix=1, NPIX)
         write(9) (quality(pix, lin), pix=1, NPIX)
      end do

      return
      end
