      ! Subroutine to copy low res. channels into hi res.

      subroutine Tb2Tc_copy(nwork, Tb, Tc)
      implicit none
      include 'parameters.inc'

      integer     nwork
      real        Tb(NPIX, MAX_SCANS, NCHAN)
      real        Tc(NPIX, MAX_SCANS, NCHAN)

      integer     chan, lin, pix

      do lin = 1, nwork, 2
            do pix = 1, NPIX, 2
                  do chan = 1, 5
                        Tc(pix,lin,chan)     = Tb(pix,lin,chan)
                        Tc(pix+1,lin,chan)   = Tb(pix,lin,chan)
                        Tc(pix,lin+1,chan)   = Tb(pix,lin,chan)
                        Tc(pix+1,lin+1,chan) = Tb(pix,lin,chan)
                  end do
            end do
      end do
c
      do lin = 1, nwork
            do pix = 1, NPIX
                  do chan = 6, 7
                        Tc(pix,lin,chan)     = Tb(pix,lin,chan)
                  end do
            end do
      end do


      return
      end


